
Redmine - Defect #19600

can't open attcment files that have hebrow file names

2015-04-13 10:01 - moran kaye

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

when  I try to open an attcment files that has hebrow file name

I get ah error the website can not be desplayed in IE11

Related issues:

Is duplicate of Redmine - Defect #19374: MinGW thin and puma: Internal server... Closed

History

#1 - 2015-04-13 10:05 - moran kaye

- File ניסוןאבגדהוזחטי.txt added

#2 - 2015-04-13 12:56 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Read Submissions.

#3 - 2015-05-05 14:43 - moran kaye

- File system.jpg added

Environment:

Redmine version                3.0.1.stable

Ruby version                   2.0.0-p594 (2014-10-27) [i386-mingw32]

Rails version                  4.2.0

Environment                    production

Database adapter               Mysql2

SCM:

Filesystem

Redmine plugins:

no plugin installed

#4 - 2015-05-05 15:01 - Toshi MARUYAMA

Do you use bitnami or thin or puma?

#5 - 2015-05-26 11:05 - moran kaye

local host

#6 - 2015-05-26 12:06 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Duplicate

There is no instructive answer, but I think duplicate of #19321.

#7 - 2015-05-26 12:06 - Toshi MARUYAMA

- Is duplicate of Defect #19321: MinGW thin and puma: non ASCII wiki page causes "Internal server error" added

#8 - 2015-05-26 15:43 - moran kaye

I have updated line 32 at my file \apps\redmine\htdocs\vendor\bundle\ruby\2.0.0\gems\actionpack-4.2.0\lib\action_dispatch\middleware\static.rb
https://www.redmine.org/projects/redmine/wiki/Submissions
https://www.redmine.org/issues/19321


like Defect #19321 sujested

Your fix works!

Thank you.

#9 - 2015-05-26 16:22 - Toshi MARUYAMA

- Related to Defect #19374: MinGW thin and puma: Internal server error occoures when attachment file name contains non ASCII added

#10 - 2015-05-26 16:22 - Toshi MARUYAMA

- Related to deleted (Defect #19374: MinGW thin and puma: Internal server error occoures when attachment file name contains non ASCII)

#11 - 2015-05-26 16:22 - Toshi MARUYAMA

- Is duplicate of Defect #19374: MinGW thin and puma: Internal server error occoures when attachment file name contains non ASCII added

#12 - 2015-05-26 16:22 - Toshi MARUYAMA

- Is duplicate of deleted (Defect #19321: MinGW thin and puma: non ASCII wiki page causes "Internal server error")

Files

txt.ניסון 5 Bytes 2015-04-13 moran kaye

txt.ניסוןאבגדהוזחטי 5 Bytes 2015-04-13 moran kaye

system.jpg 26.9 KB 2015-05-05 moran kaye
